com.smartgwt.client.types

## Enum ContentLayoutPolicy

- java.lang.Object
- - java.lang.Enum<ContentLayoutPolicy>
  - - com.smartgwt.client.types.ContentLayoutPolicy

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<ContentLayoutPolicy>

      public enum ContentLayoutPolicy
      extends java.lang.Enum<ContentLayoutPolicy>
      implements ValueEnum

  Policy controlling how the window will manage content within its body.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HORIZONTAL` Window body defaults to HLayout behavior.
    `NONE` Window does not try to size members at all on either axis.
    `VERTICAL` Window body defaults to VLayout behavior.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static ContentLayoutPolicy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ContentLayoutPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final ContentLayoutPolicy NONE

      Window does not try to size members at all on either axis. Window body defaults to a Canvas if not autosizing. Otherwise a Layout is used with policies on both axes set to `LayoutPolicy` "none".NONE: "none", // NOTE: constant declared by Canvas

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

    - #### VERTICAL

          public static final ContentLayoutPolicy VERTICAL

      Window body defaults to VLayout behavior. (Body is actually just a Layout with `Layout.vertical`: true.)VERTICAL: "vertical", // NOTE: constant declared by Canvas

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "vertical".

    - #### HORIZONTAL

          public static final ContentLayoutPolicy HORIZONTAL

      Window body defaults to HLayout behavior. (Body is actually just a Layout with `Layout.vertical`: false.)HORIZONTAL: "horizontal" // NOTE: constant declared by Canvas

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "horizontal".

  - ### Method Detail

    - #### values

          public static ContentLayoutPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContentLayoutPolicy c : ContentLayoutPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContentLayoutPolicy valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`